
Redmine - Defect #8224

Menu does not show on IE 9 beta

2011-04-25 21:02 - Charles Monteiro

Status: Closed Start date: 2011-04-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Menu shows up on Chrome and FireFox but not on IE 9 beta.

Actually, its a pretty big issue for me since I use a biometric fingerprint reader and unfortunately its currently only working with IE.

Firefox 4 killed the addon for that and they don't have a Chrome extension yet.

See this quick vid I captured demonstrating the issue:

http://screencast.com/t/gEqjM2lOaY1

Related issues:

Is duplicate of Redmine - Defect #7954: IE 9 can not select issues, does not ... Closed 2011-03-21

History

#1 - 2011-04-25 21:14 - Brett Patterson

I can semi-reproduce the issue using 1.0.3.stable (yes, old version I know, but we're waiting on 1.2).

Just to confirm we have the same issue, after you right-click on an issue, hit the escape key.  I think the menu may be showing up under the main

context menu but because the context menu is huge in IE 9, the Redmine context menu is being hidden.

IE 9 redid some of their event handlers, and any PrototypeJS version less than 1.7 will exhibit "weird" behavior.  Our instance of redmine is running

PrototypeJS 1.6.0.3.  I believe the fix would be to update PrototpyeJS to 1.7 to solve this issue.

Can you install the trunk version of redmine as a test to see if this is still an issue?  I see Jean-Philippe updated to Prototype 1.7 on the 04-15-2011,

so perhaps this is already fixed.

#2 - 2011-04-25 21:43 - Charles Monteiro

nope, esc , just gets rid of the IE menu , see here:

http://screencast.com/t/zra53hrM

#3 - 2011-04-25 23:31 - Etienne Massip

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #7954, fix has already been committed, will be released with 1.2.0 or 1.1.3, whichever comes first.

#4 - 2011-04-26 01:58 - Charles Monteiro

Sorry, is there a ball park estimate of when that release may happen ? thanks

#5 - 2011-04-26 09:22 - Etienne Massip

According to the Roadmap, 1.2.0 is due to 2011-04-30, at the end of the week, so I guess there will be no 1.1.3.
